Skip to main content
GET

Authorizations

Authorization
string
header
default:default
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The ID of the file to retrieve

Response

200 - application/json

File retrieved successfully

Structured information describing a file uploaded to Together.

id
string
required

ID of the file.

object
any
required

The object type, which is always file.

created_at
integer
required

The timestamp when the file was created.

filename
string
required

The name of the file as it was uploaded.

Example:

"my_file.jsonl"

bytes
integer
required

The number of bytes in the file.

purpose
enum<string>
required

The purpose of the file as it was uploaded.

Available options:
fine-tune,
eval,
batch-api
Example:

"fine-tune"

Processed
boolean
required
deprecated

Deprecated. Whether file has been fully uploaded.

FileType
enum<string>
default:jsonl
required

The type of the file such as jsonl, csv, or parquet.

Available options:
csv,
jsonl,
parquet
Example:

"jsonl"

processing_status
enum<string>

Lifecycle state of the file validation pipeline. Files for non-fine-tune purposes skip validation.

Available options:
PENDING,
QUEUED,
RUNNING,
COMPLETED,
FAILED,
INVALID_FORMAT
validation_report
object

Report produced by the file validation pipeline. Present once validation has run; absent on files that bypassed validation (non-fine-tune purposes) or have not yet been validated.